Bug 1382624 - Mitaka to Newton needs migration for ceilometer-api under apache wsgi
Summary: Mitaka to Newton needs migration for ceilometer-api under apache wsgi
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Pradeep Kilambi
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On:
Blocks: 1337794
TreeView+ depends on / blocked
 
Reported: 2016-10-07 08:58 UTC by Marios Andreou
Modified: 2016-12-29 16:54 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-0.20161008015357.0d3e3e3.1.el7ost
Doc Type: Enhancement
Doc Text:
The Telemetry API (ceilometer-api) now uses apache-wsgi instead of eventlet. When upgrading to this release, ceilometer-api will be migrated accordingly.
Clone Of:
Environment:
Last Closed: 2016-12-14 16:12:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 383671 None None None 2016-10-11 15:41:09 UTC
Launchpad 1631297 None None None 2016-10-07 09:01:02 UTC

Description Marios Andreou 2016-10-07 08:58:54 UTC
Description of problem:
In Newton the ceiometer-api moves from eventlet to apache wsgi. We need to provide a suitable migration for this change during the OSP9 to OSP10 upgrade.

Comment 1 Sofer Athlan-Guyot 2016-10-11 15:41:10 UTC
Remove master commit (was pointing to opendaylight gerrit by the way) to point to stable/newton commit.

Comment 2 Marios Andreou 2016-10-12 09:17:08 UTC
thanks Sofer also moving to POST since it merged too

Comment 5 Yurii Prokulevych 2016-11-08 09:57:04 UTC
Verified with openstack-tripleo-heat-templates-5.0.0-1.2.el7ost.noarch

After passing '-e /usr/share/openstack-tripleo-heat-templates/environments/major-upgrade-ceilometer-wsgi-mitaka-newton.yaml' to the upgrade command stack was successfully updated.

PCS resource 'openstack-ceilometer-api-clone' is removed.

Config file for ceilometer-wsgi present :
    /etc/httpd/conf.d/10-ceilometer_wsgi.conf

Apache listens on port 8777:

ss -anp | grep 8777
tcp    LISTEN     0      128    172.17.1.15:8777                  *:*                   users:(("httpd",pid=24501,fd=8),("httpd",pid=14455,fd=8),("httpd",pid=14349,fd=8),("httpd",pid=14145,fd=8),("httpd",pid=14074,fd=8),("httpd",pid=14037,fd=8),("httpd",pid=13862,fd=8),("httpd",pid=13847,fd=8),("httpd",pid=13725,fd=8),("httpd",pid=13708,fd=8),("httpd",pid=12779,fd=8),("httpd",pid=12778,fd=8),("httpd",pid=12777,fd=8),("httpd",pid=12776,fd=8),("httpd",pid=12775,fd=8),("httpd",pid=12774,fd=8),("httpd",pid=12773,fd=8),("httpd",pid=12772,fd=8))

Comment 8 errata-xmlrpc 2016-12-14 16:12:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.